// FancyZoomHTML.js - v1.0
// Used to draw necessary HTML elements for FancyZoom
//
// Copyright (c) 2008 Cabel Sasser / Panic Inc
// All rights reserved.
//
// JQuery conversion by Scott Lahteine, Thinkyhead
//

function insertZoomHTML() {

	var body = $("body")[0];

	// WAIT SPINNER
	$("<div/>")
	.attr("id", "ZoomSpin")
	.css({position:"absolute",left:"10px",top:"10px",visibility:"hidden",zIndex:525})
	.append($("<img/>")
		.attr({id:"SpinImage", src:zoomImagesURI+"zoom-spin-1.png"})
	)
	.prependTo(body);

	// ZOOM IMAGE AND CLOSE BOX
	$("<div/>")
	.attr("id", "ZoomBox")
	.css({position:"absolute",left:"10px",top:"10px",visibility:"hidden",background:"#FFF",zIndex:499})
	.append($("<img/>")
		.attr({src:zoomImagesURI+"spacer.gif", id:"ZoomImage", border:0})
		.css({display:"block",width:"10px",height:"10px",cursor:"pointer","-webkit-box-shadow":shadowSettings+"0.0)"})
		.bind("click",function (e) { zoomOut(this, e); return false; })
	)
	.append($("<div/>")
		.attr("id", "ZoomClose")
		.css({position:"absolute",visibility:"hidden"})
		.css(browserIsIE ? {left:"-1px",top:"0px"} : {left:"-15px",top:"-15px"})
		.append($("<img/>")
			.attr({src:zoomImagesURI+"closebox.png", width:30, height:30, border:0})
			.css("cursor", "pointer")
			.bind("click",function (e) { zoomOut(this, e); return false; })
		)
	)
	.prependTo(body);


	// SHADOW
	if (!$("#ZoomImage").css("-webkit-box-shadow") && ! browserIsIE) {

		$("<div/>")
		.attr("id", "ShadowBox").width(100).height(100)
		.css({position:"absolute",left:"50px",top:"50px",visibility:"hidden",zIndex:498})
		.append($("<table/>")
			.attr({border:0, width:"100%", height:"100%", cellpadding:0, cellspacing:0})
			.append($("<tbody/>")
				.append($("<tr/>")
					.height(25)
					.append($("<td/>")
						.width(27)
						.append($("<img/>")
							.attr({src:zoomImagesURI+"zoom-shadow1.png", width:27, height:25})
							.css("display", "block")
						)
					)
					.append($("<td/>")
						.attr("background", zoomImagesURI+"zoom-shadow2.png")
						.append($("<img/>")
							.attr({src:zoomImagesURI+"spacer.gif", width:1, height:1})
							.css("display", "block")
						)
					)
					.append($("<td/>")
						.width(27)
						.append($("<img/>")
							.attr({src:zoomImagesURI+"zoom-shadow3.png", width:27, height:25})
							.css("display", "block")
						)
					)
				)
				.append($("<tr/>")
					.append($("<td/>")
						.attr("background", zoomImagesURI+"zoom-shadow4.png")
						.append($("<img/>")
							.attr({src:zoomImagesURI+"spacer.gif", height:1, width:1})
							.css("display", "block")
						)
					)
					.append($("<td/>")
						.attr("bgcolor", "white")
						.append($("<img/>")
							.attr({src:zoomImagesURI+"spacer.gif", height:1, width:1})
							.css("display", "block")
						)
					)
					.append($("<td/>")
						.attr("background", zoomImagesURI+"zoom-shadow5.png")
						.append($("<img/>")
							.attr({src:zoomImagesURI+"spacer.gif", height:1, width:1})
							.css("display", "block")
						)
					)
				)
				.append($("<tr/>")
					.height(26)
					.append($("<td/>")
						.width(27)
						.append($("<img/>")
							.attr({src:zoomImagesURI+"zoom-shadow6.png", width:27, height:26})
							.css("display", "block")
						)
					)
					.append($("<td/>")
							.attr("background", zoomImagesURI+"zoom-shadow7.png")
							.append($("<img/>")
								.attr({src:zoomImagesURI+"spacer.gif", height:1, width:1})
								.css("display", "block")
							)
					)
					.append($("<td/>")
							.width(27)
							.append($("<img/>")
								.attr({src:zoomImagesURI+"zoom-shadow8.png", width:27, height:26})
								.css("display", "block")
							)
					)
				)
			)
		)
		.prependTo(body);

	}

	// CAPTION
	if (includeCaption) {

		$("<div/>")
		.attr("id", "ZoomCapDiv")
		.css({position:"absolute",visibility:"hidden",margin:"0 auto",zIndex:501})
		.append($("<table/>")
			.attr({border:0, cellPadding:0, cellSpacing:0})
			.append($("<tbody/>")
				.append($("<tr/>")
					.append($("<td/>")
						.attr("align", "right")
						.append($("<img/>")
							.attr({src:zoomImagesURI+"zoom-caption-l.png", width:13, height:26})
							.css("display", "block")
						)
					)
					.append($("<td/>")
						.attr({background:zoomImagesURI+"zoom-caption-fill.png", id:"ZoomCaption", valign:"middle"})
						.css({fontSize:"14px",fontFamily:"Helvetica",fontWeight:"bold",color:"#ffffff",textShadow:"0px 2px 4px #000000",whiteSpace:"nowrap"})
					)
					.append($("<td/>")
						.append($("<img/>")
							.attr({src:zoomImagesURI+"zoom-caption-r.png", width:13, height:26})
							.css("display", "block")
						)
					)
				)
			)
		)
		.prependTo(body);
	}
}

